libnvme(2)

NAME
struct nvme_lba_range_type_entry - LBA Range Type - Data Structure Entry

SYNOPSIS
struct nvme_lba_range_type_entry {
__u8 type;
__u8 attributes;
__u8 rsvd2[14];
__le64 slba;
__le64 nlb;
__u8 guid[16];
__u8 rsvd48[16];
};

Members

type
    Specifies the Type of the LBA range

attributes
    Specifies attributes of the LBA range

rsvd2
    Reserved

slba
    Starting LBA

nlb Number of Logical Blocks

guid
    Unique Identifier

rsvd48
    Reserved